﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 2680A-DIO (1 yr) Totalizer Ver RS-232 /5520
DATE:                  2009-01-14 08:42:02
AUTHOR:                Fluke
REVISION:              $Revision: 8204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       147
CONFIGURATION:         Fluke 5520A
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        2680A, 2686A
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Fluke 268xA Send Command RS-232
#        Sub Fluke 268xA Query Measurement RS-232
#
#  Required Files:
#       268xA_Totalizer_Test_5520.jpg
#
#  Additional Equipment Required:
#       None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {TOTALIZER TESTS}
  1.003  TARGET
  1.004  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  1.005  PIC          268xA_Totalizer_Test_5520.jpg
  1.006  HEAD         -2 Totalizer Initial Test
  1.007  MATH         @UUTCommand = "*RST"
  1.008  CALL         Sub Fluke 268xA Send Command RS-232
  1.009  JMPL         END                          @Abort
  1.010  MATH         @UUTCommand = "TOTCFG 1,0"
  1.011  CALL         Sub Fluke 268xA Send Command RS-232
  1.012  JMPL         END                          @Abort
  1.013  MATH         @UUTCommand = "TOTINIT"
  1.014  CALL         Sub Fluke 268xA Send Command RS-232
  1.015  JMPL         END                          @Abort
  1.016  MATH         @QueryCommand = "TOT?"
  1.017  CALL         Sub Fluke 268xA Query Measurement RS-232
  1.018  JMPL         END                          @Abort
  1.019  EVAL   -e NOT(MEM): [32] Initial

  2.001  HEAD         -2 Totalizer Count Test
  2.002  TARGET
  2.003  MATH         @UUTCommand = "DIO 1048575,1"
  2.004  CALL         Sub Fluke 268xA Send Command RS-232
  2.005  JMPL         END                          @Abort
  2.006  5520         10H                          2V             SQ    S  2W
  2.007  WAIT         -t 2 System Settling...
  2.008  DISP         Press "DIO" button until "tot:LO" displayed in screen.
  2.009  OPBR         -z Is the totalizing value incrementing at 10 counts/s?
  2.010  EVAL   -e MEM1 : [32] Count
  3.001  5520         *                                                 S

  3.002  HEAD         -2 Totlizer Count and Enable Test
  3.003  TARGET
  3.004  MATH         @UUTCommand = "DIO 1048575,0"
  3.005  CALL         Sub Fluke 268xA Send Command RS-232
  3.006  JMPL         END                          @Abort
  3.007  5520         10H                          2V             SQ    S  2W
  3.008  WAIT         -t 2 System Settling...
  3.009  MATH         @QueryCommand = "TOT?"
  3.010  CALL         Sub Fluke 268xA Query Measurement RS-232
  3.011  JMPL         END                          @Abort
  3.012  MATH         FirstTest = MEM
  3.013  WAIT         -t 2 UUT Settling...
  3.014  MATH         @QueryCommand = "TOT?"
  3.015  CALL         Sub Fluke 268xA Query Measurement RS-232
  3.016  JMPL         END                          @Abort
  3.017  MATH         SecondTest = MEM
  3.018  EVAL   -e FirstTest == SecondTest: [32] Enable
  4.001  5520         *                                                 S

  4.002  HEAD         -2 Totalizer Count and Direction Test
  4.003  TARGET
  4.004  MATH         @UUTCommand = "TOTINIT"
  4.005  CALL         Sub Fluke 268xA Send Command RS-232
  4.006  JMPL         END                          @Abort
  4.007  MATH         @UUTCommand = "TOTCFG 0,0"
  4.008  CALL         Sub Fluke 268xA Send Command RS-232
  4.009  JMPL         END                          @Abort
  4.010  MATH         @UUTCommand = "DIO 1048575,1"
  4.011  CALL         Sub Fluke 268xA Send Command RS-232
  4.012  JMPL         END                          @Abort
  4.013  5520         10H                          2V             SQ    S  2W
  4.014  WAIT         -t 2 System Settling...
  4.015  MATH         @QueryCommand = "TOT?"
  4.016  CALL         Sub Fluke 268xA Query Measurement RS-232
  4.017  JMPL         END                          @Abort
  4.018  MATH         FirstTest = MEM
  4.019  WAIT         -t 2 UUT Settling...
  4.020  MATH         @QueryCommand = "TOT?"
  4.021  CALL         Sub Fluke 268xA Query Measurement RS-232
  4.022  JMPL         END                          @Abort
  4.023  MATH         SecondTest = MEM
  4.024  EVAL   -e FirstTest > SecondTest : [32] Direction
  5.001  5520         *                                                 S

  5.002  HEAD         -2 Totalizer Count and Debounce Test
  5.003  TARGET
  5.004  MATH         @UUTCommand = "TOTINIT"
  5.005  CALL         Sub Fluke 268xA Send Command RS-232
  5.006  JMPL         END                          @Abort
  5.007  MATH         @UUTCommand = "TOTCFG 1,1"
  5.008  CALL         Sub Fluke 268xA Send Command RS-232
  5.009  JMPL         END                          @Abort
  5.010  MATH         @UUTCommand = "DIO 1048575,1"
  5.011  CALL         Sub Fluke 268xA Send Command RS-232
  5.012  JMPL         END                          @Abort
  5.013  5520         1kH                          2V             SQ    S  2W
  5.014  WAIT         -t 2 System Settling...
  5.015  OPBR         -z Is the totalizer stable at 0±1 count?
  5.016  EVAL   -e MEM1 : [32] Debounce
  6.001  5520         *                                                 S

  6.002  LABEL        END
  6.003  HEAD
  6.004  HEAD         -2
  6.005  END
